Public APIAPI ReferenceWebhooks

Add a webhook destination to the team.

Beta API

The /v1 API contract may change, including breaking changes without compatibility aliases.

POST/v1/teams/{teamId}/webhooks

Users with the owner or billing role can add up to 10 webhook, slack, or discord destinations. Names must be 1–64 characters after trimming whitespace, and URLs must use HTTPS and be at most 2048 characters. The webhook signing secret is returned only in this response. Only users with a verified email can use this.

Authorization

bearerAuth
AuthorizationBearer <token>

Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.

In: header

Path Parameters

teamId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/teams/string/webhooks" \  -H "Content-Type: application/json" \  -d '{    "kind": "string",    "name": "string",    "url": "string"  }'
{  "created_at": "2019-08-24T14:15:22Z",  "id": "string",  "kind": "string",  "name": "string",  "secret": "string",  "url": "string"}